Why can't I install 1.4.4.2 update?

I'm having a little trouble updating my Sourcetree. I have version 1.3.2 running on Mac OS X 10.6.8. When I try to update to 1.4.4.2, the update (approx 16MB) downloads successfully, but then I get an "Update Error!" msg telling me to "please try again later". I've been attempting this for the last couple days, and I always get this error.

Any thoughts or suggestions? Thanks in advance.

Dan

2 answers

1 accepted

Accepted Answer
1 vote

Yes, this is a known error, please see https://jira.atlassian.com/browse/SRCTREE-1066 . This problem doesn't occur in Mac OS X 10.7 or 10.8, this seems to be caused by a bug in the 10.6 implementation of NSFileManager which was subsequently fixed in 10.7. We only started hitting its limit after 1.4.4.

For the moment, if you're running 10.6 please just re-download from http://sourcetreeapp.com. I'm trying to come up with a work-around, but even once I do you will probably have to manually update one more time (to get the work-around in to the app so it can auto-update again afterwards).

Thanks Steve! I will download and manually update.

You are not th eonly one having this problem.

Suggest an answer

Log in or Sign up to answer
Community showcase
Published May 30, 2018 in Sourcetree

Tip from the team: configuring Git or Mercurial in Sourcetree

Supported Platforms macOS Windows To make using Sourcetree as simple yet powerful as possible we embed (bundle) dependencies such as Git, Git LFS, and Mercurial. We strive to keep these...

994 views 2 3
Read article

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you